.text-orange {
	font-size: 16px;
	color: #f37b1d;
}

.text-red {
	font-size: 16px;
	color: #ff0000;
}

.text-green {
	font-size: 16px;
	color: #006d00;
}

/* index頁 */
.list {
	position: relative;
	display: flex;
	justify-content: space-between;
	align-items: center;
	margin: 16px;
	padding: 16px 22px;
	border-radius: 6px;
	background-color: #f1f1f1;
}

.list::before {
	content: '';
	position: absolute;
	top: 50%;
	left: 12px;
	width: 4px;
	height: 10px;
	margin-top: -5px;
	border-radius: 100px;
	background-color: #36b44c;
}

/* subject頁 */
.bg {
	background: linear-gradient(#ffffff, #d0eddc);
	clip-path: ellipse(100% 100% at 50% 0);
	-webkit-clip-path: ellipse(100% 100% at 50% 0);
}

.padding {
	padding: 16px;
}

.panel {
	display: flex;
	justify-content: space-between;
	align-items: flex-start;
	height: 76px;
	margin: 20px auto -20px;
	padding: 15px;
	border-radius: 15px;
	background: linear-gradient(to left, #1b1f31, #393e59);
	color: #fff;
}

.panel-title {
	font-size: 18px;
}

.panel-text {
	margin-top: 5px;
	color: #aaa;
}

.choose-btn {
	display: flex;
	align-items: center;
	padding: 5px 15px;
	border-radius: 20px 20px 10px 20px;
	background: linear-gradient(to right, #f2f8f2, #d0eddc);
	font-size: 12px;
	font-weight: bold;
	color: #338847;
}

.title {
	position: relative;
	margin: 16px;
	padding-left: 12px;
	font-size: 16px;
	font-weight: bold;
}

.title::before {
	content: '';
	position: absolute;
	top: 50%;
	left: 2px;
	width: 4px;
	height: 12px;
	margin-top: -6px;
	border-radius: 100px;
	background-color: #36b44c;
}

.select {
	margin: 16px;
	border-radius: 10px;
	overflow: hidden;
}

.select .btn {
	position: relative;
	display: flex;
	justify-content: space-between;
	align-items: center;
	padding: 12px 16px;
	font-size: 14px;
}

.select .btn::before {
	content: '';
	box-sizing: border-box;
	position: absolute;
	top: 0;
	left: 0;
	width: 200%;
	height: 200%;
	border-bottom: 1rpx solid #ddd;
	border-radius: inherit;
	transform: scale(0.5);
	transform-origin: 0 0;
	pointer-events: none;
}

.select .btn:last-child::before {
	display: none;
}

/* home頁 */
.header {
	padding: 0 20px;
	background-color: #fff;
}

.topic {
	margin-left: auto;
	text-align: right;
}

.topic-num {
	font-size: 16px;
	font-weight: bold;
	color: #00ad35;
}

.topic time {
	font-size: 12px;
	color: #888;
}

.sidebar {
	padding-left: 20px;
}

.grid .main {
	padding-right: 20px;
}

.footer {
	text-align: center;
	font-size: 12px;
	color: #666;
}

.logo {
	display: block;
	width: 40px;
	height: 40px;
	margin-right: 10px;
	cursor: pointer;
}

.nav-btn {
	display: block;
	padding: 15px;
	text-align: center;
	font-weight: 400;
	cursor: pointer;
}

.nav-btn:hover {
	transform: scale(1.1);
}

.banner {
	height: 300px;
	border-radius: 10px;
	background-color: #5fc471;
	overflow: hidden;
}

.banner img {
	width: 100%;
	height: 100%;
}

.group {
	margin: 40px 0;
	padding: 15px 30px;
	border-radius: 10px;
	background-color: #fff;
}

.group-title {
	padding-bottom: 15px;
	border-bottom: 1px solid #f1f1f1;
	font-size: 18px;
}

.exam {
	display: flex;
	padding: 15px 0;
}

.bpcheck {
	display: flex;
}

/* 排行 */
.board {
	padding: 15px 0;
	width: 90%;
	margin-bottom: 20px;
	padding: 10px;
	border-radius: 4px;
	background-color: white;
}

.exam-title {
	flex-shrink: 0;
	width: 160px;
	padding-top: 15px;
	font-size: 16px;
	font-weight: 400;
	color: #888;
}

.exam-view {
	display: flex;
	flex-wrap: wrap;
}

.exam-btn {
	width: 100px;
	padding: 15px;
}
.select-btn {
	width: 80px;
	padding: 15px;
}

.exam-btn-name {
	font-size: 16px;
	color: #00ad35;
}

.exam-btn-num {
	margin-top: 8px;
	font-size: 12px;
	color: #888;
}

/* list頁 */
.content {
	width: 600px;
	margin: 0 auto;
	padding: 30px 40px 0;
}

/* list頁 */
.rank {
	width: 400px;
	margin: 0 auto;
	padding: 30px 40px 0;
}

.tags {
	margin: 20px 0;
}

.tags-list {
	display: flex;
	flex-wrap: wrap;
	align-items: center;
	margin-top: 15px;
}

.tags-list > .align-center {
	flex-wrap: wrap;
}

.tags-view {
	display: none;
	width: 100%;
	margin-left: 46px;
	padding: 4px 0;
	border-radius: 4px;
	background-color: #dae7dc;
}

.tags-view.active {
	display: flex;
}

.tags-title {
	margin-right: 15px;
	color: #7f8792;
}

.tags-btn {
	padding: 4px 12px;
	cursor: pointer;
}

.tags-btn.active {
	border-radius: 4px 4px 0 0;
	background-color: #dae7dc;
	color: #1ea737;
}

/* 章節目錄 */
.chapter {
	width: 85%;
	margin-bottom: 20px;
	padding: 30px;
	border-radius: 4px;
	background-color: #fff;
}

.chapter-list {
	margin-bottom: 20px;
}

.chapter-title {
	display: block;
	margin-bottom: 10px;
	font-size: 16px;
	cursor: pointer;
}

/* login */
.QRcode {
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	width: 100vw;
	height: 100vh;
}

.QRcode-title {
	margin: 20px 0 60px;
	font-size: 16px;
	font-weight: bold;
}

.QRcode img {
	width: 300px;
	height: 300px;
}

/* 題目頁面 */
/* .num {
  box-sizing: border-box;
  width: 220px;
  padding: 20px;
  border-radius: 4px;
  background-color: #fff;
} */
.topic-back {
	display: inline-block;
	margin-bottom: 20px;
	padding: 6px 16px;
	border-radius: 4px;
	background-color: #fff;
	color: #f88070;
}

.topic-list {
	padding-bottom: 20px;
	margin-bottom: 20px;
	border-bottom: 1px solid #ccc;
}

.topic-title {
	margin-bottom: 10px;
	font-size: 16px;
}

.wilRatingSS {
	color: orange;
}

.wilRatingS {
	color: purple;
}

.wilRatingA {
	color: blue;
}

.wilRatingB {
	color: #00ad35;
}

.wilRatingC {
	color: black;
}

.wilRatingD {
	color: gray;
}

.cusSkillRankS {
	color: orange;
}

.cusSkillRankA {
	color: purple;
}

.cusSkillRankB {
	color: blue;
}

.skinType組織 {
	color: green;
}

.skinType進攻 {
	color: red;
}

.skinType防守 {
	color: blue;
}

.boardRankS {
	color: red;
}

.boardRankA {
	color: purple;
}

.boardRankB {
	color: blue;
}

.boardRankC {
	color: chocolate;
}

.boardRankD {
	color: gray;
}

.topic-main {
	display: flex;
	align-items: center;
}

.topic-icon {
	font-size: 14px;
}

.topic-icon.active {
	color: #fec92f;
}

.topic-tip {
	margin-right: 20px;
	font-size: 12px;
	color: #666;
}

.topic-btn {
	margin-left: auto;
	padding: 6px 12px;
	border-radius: 2px;
	background-color: #5fc471;
	font-size: 12px;
	color: #fff !important;
}

.videoPlayer {
	width: 500px;
}

.upArrow {
	color: red;
	font-size: 30px;
}

.downArrow {
	color: green;
	font-size: 30px;
}

input[type='checkbox'][id^='cb'] {
	display: none;
}

input[type='checkbox'][id^='cbm'] {
	display: none;
}

label {
	border: 1px solid #eeeeee;
	padding: 5px;
	display: block;
	position: relative;
	margin: 5px;
	cursor: pointer;
}

label:before {
	background-color: white;
	color: white;
	content: ' ';
	display: block;
	border-radius: 50%;
	border: 1px solid grey;
	position: absolute;
	top: -5px;
	left: -5px;
	width: 20px;
	height: 20px;
	text-align: center;
	line-height: 25px;
	transition-duration: 0.4s;
	transform: scale(0);
}

label img {
	transition-duration: 0.2s;
	transform-origin: 50% 50%;
}

:checked + label {
	border-color: #ddd;
}

:checked + label:before {
	content: '✓';
	background-color: grey;
	transform: scale(0.5);
}

:checked + label img {
	transform: scale(0.9);
	box-shadow: 0 0 5px #333;
	z-index: -1;
}

.grayScale {
	filter: grayscale(100%);
}

.con {
  border: 1px solid blue;
}

.con2 {
  border: 1px solid white;
}

.wz {
	font-size: 12px;
	z-index: 2;
	left: 0;
	top: 0;
}

.典藏 {
	color: red;
}
.限定傳說 {
	color: orange;
}
.傳說 {
	color: orange;
}

.史詩 {
	color: purple;
}
.限定史詩 {
	color: purple;
}

.時尚 {
	color: blue;
}
.限定時尚 {
	color: blue;
}
.普通 {
	color: gray;
}

.com_l{
	width: 160px;
	text-align: left;
}

.com_r{
	width: 160px;
	text-align: right;
}